"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.createMenuUpdateValidation = exports.createMenuCreateValidation = void 0;
var _zod = _interopRequireDefault(require("zod"));
const baseValidation = _zod.default.object({
  title: _zod.default.string().min(1).max(100),
  description: _zod.default.string().max(100).optional(),
  items: _zod.default.array(_zod.default.object({}).passthrough()).optional()
});
const createMenuCreateValidation = () => {
  return baseValidation.extend({
    slug: _zod.default.string().min(1).max(100)
  });
};
exports.createMenuCreateValidation = createMenuCreateValidation;
const createMenuUpdateValidation = () => {
  return baseValidation.partial();
};
exports.createMenuUpdateValidation = createMenuUpdateValidation;

//# sourceMappingURL=validation.js.map