"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
var _exportNames = {
  createPageBuilderGraphQL: true,
  createPageBuilderContext: true
};
exports.createPageBuilderGraphQL = exports.createPageBuilderContext = void 0;
var _crud = require("./crud");
var _graphql = _interopRequireDefault(require("./graphql"));
var _createTranslations = require("../translations/createTranslations");
var _PageContent = require("./crud/pages/PageContent");
Object.keys(_PageContent).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _PageContent[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _PageContent[key];
    }
  });
});
var _PageElementId = require("./crud/pages/PageElementId");
Object.keys(_PageElementId).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _PageElementId[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _PageElementId[key];
    }
  });
});
const createPageBuilderGraphQL = () => {
  return [...(0, _graphql.default)(), ...(0, _createTranslations.createTranslationsGraphQl)()];
};
exports.createPageBuilderGraphQL = createPageBuilderGraphQL;
const createPageBuilderContext = params => {
  return [(0, _crud.createCrud)(params), ...(0, _createTranslations.createTranslations)()];
};
exports.createPageBuilderContext = createPageBuilderContext;

//# sourceMappingURL=index.js.map